#pragma once

#include	"Core/GameState.h"

// forward declaration of classes
class	CAliens;
class	CPlayer;

// play-state class is derived from CGameState
class CStatePlay : public CGameState
{
public:
	// constructor / destructor
	CStatePlay();
	~CStatePlay();

	// inherited via CGameState
	EGameState	Run(float fFrameTime);
	void		Reset();
	// ------------------------------------------------------------------------

	void		UpdateText();

private:
	friend class CSpaceShooterApp;

	// reference of CAliens class-pointer and CPlayer class-pointer
	CAliens*	m_refAliens = 0L;
	CPlayer*	m_refPlayer = 0L;

	// text id's for displaying score and lives
	int			m_iScoreTxtID = 0;
	int			m_iLivesTxtID = 0;
};

